Skip to main content

Create Product Local Inventory

Legacy Documentation

You are viewing legacy documentation. These APIs are maintained for partners with existing implementations. New projects should use v2.

View the current GraphQL API Reference → | View the current REST API Reference →

POST 

/products/:lookupkey/:key/inventory/local

This endpoint allows creating local inventory data for a product based on a lookup key.

Available fields​

NameRequired
quantity (integer)yes
warehouseId (integer)no
Default value is 0
company
(InventoryCompanyUsergroupResource)
no
usergroup
(InventoryCompanyUsergroupResource)
no
location (string)no
Default value is empty
costPrice (integer)no
Default value is product costprice
nextDeliveryDate (date)no
notes (string)no

dateModified is always updated with the current date and time.

On creating a record, inventory type local is matching the product on the lookup key. If the product is found, inventory record will be created.

If an inventory record is found, matching on: sku, warehouseId and location, error is thrown that duplicate record can't be created.

Request​

Responses​

Create Product Local Inventory - 201 / Create Product Local Inventory for a usergroup - 200

Response Headers
    Connection
    Content-Length
    Date
    Keep-Alive
    Return-Format